Swagger v3 Tracker API Changes
From Codebeamer 10.0, v3 version of Swagger documented API is supported. This page describes the changes made and helps with the migration.
Changed APIs 
The changes for the APIs are described as follows:
API
Changes
GET /tracker/{trackerId}/field.
This endpoint now lists the fields of tracker. A new attribute trackerItemField is added to the tracker fields.
GET {trackerURI}/roles/permissions.
GET {trackerURI}{roleURI}/permissions / GET {roleURI}{trackerURI}/permissions.
GET {trackerURI}{userURI}/permissions / GET {userURI}{trackerURI}/permissions.
The endpoints are merged into this extended by query parameters endpoint GET /trackers/{trackerId}/permissions[?query].
Miscellaneous 
Model changes
Tracker field list model (trackerItemField added)
The purpose of the trackerItemField attribute is to show the exact name of a tracker field used during update or creation of a tracker item.
In this example, the priority field is named Business Value. However this field or name may differ in other trackers, but the trackerItemField is solving this.
[
{
"id": 0,
"name": "ID",
"type": "IntegerField",
"hidden": false,
"valueModel": "IntegerFieldValue"
},
{
"id": 2,
"name": "Business Value",
"type": "OptionChoiceField",
"hidden": false,
"valueModel": "ChoiceFieldValue",
"title": "BV",
"multipleValues": false,
"options": [
{
"id": 1,
"name": "Must have",
"type": "ChoiceOptionReference"
},
{
"id": 3,
"name": "Should have",
"type": "ChoiceOptionReference"
},
{
"id": 5,
"name": "Nice to have",
"type": "ChoiceOptionReference"
}
],
"trackerItemField": "priority",
"referenceType": "ChoiceOptionReference"
},
{
"id": 3,
"name": "Summary",
"type": "TextField",
"hidden": false,
"valueModel": "TextFieldValue",
"trackerItemField": "name"
},

...

]
Permissions listed per role model
The described model is used in the GET /trackers/{trackerId}/permissions[?query] endpoint, similar to the result obtained for the GET {trackerURI}/roles/permissions endpoint.
",
"title": "BV",
"multipleValues": false,
"options": [
{
"id": 1,
"name": "Must have",
"type": "ChoiceOptionReference"
},
{
"id": 3,
"name": "Should have",
"type": "ChoiceOptionReference"
},
{
"id": 5,
"name": "Nice to have",
"type": "ChoiceOptionReference"
}
],
"trackerItemField": "priority",
"referenceType": "ChoiceOptionReference"
},
{
"id": 3,
"name": "Summary",
"type": "TextField",
"hidden": false,
"valueModel": "TextFieldValue",
"trackerItemField": "name"
},


]
Was this helpful?